Bug 845585 - [abrt] nautilus-3.5.4-3.fc18: gtk_ui_manager_new_merge_id: Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
[abrt] nautilus-3.5.4-3.fc18: gtk_ui_manager_new_merge_id: Process /usr/bin/n...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:8f3f22c4d2303e2060c3939e667...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 10:01 EDT by Stef Walter
Modified: 2015-03-03 18:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 15:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.86 KB, text/plain)
2012-08-03 10:02 EDT, Stef Walter
no flags Details
File: maps (80.35 KB, text/plain)
2012-08-03 10:02 EDT, Stef Walter
no flags Details
File: dso_list (16.04 KB, text/plain)
2012-08-03 10:02 EDT, Stef Walter
no flags Details
File: build_ids (6.69 KB, text/plain)
2012-08-03 10:02 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-08-03 10:01:14 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        nautilus
crash_function: gtk_ui_manager_new_merge_id
executable:     /usr/bin/nautilus
kernel:         3.3.4-5.fc17.x86_64
pid:            25259
pwd:            /data
remote_result:  NOTFOUND
time:           Fri 03 Aug 2012 03:46:53 PM CEST
uid:            1000
username:       stef

backtrace:      Text file, 24431 bytes
build_ids:      Text file, 6847 bytes
dso_list:       Text file, 16427 bytes
maps:           Text file, 82281 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/stef/2

core_backtrace:
:8950f84da38121bfa4d26c54f7cb0a792532aa80 0x2de320 gtk_ui_manager_new_merge_id libgtk-3.so.0 -
:a20a75028e491d9bfac5b055138dd7f99a866191 0xcf839 nautilus_ui_prepare_merge_ui [exe] -
:a20a75028e491d9bfac5b055138dd7f99a866191 0x71449 real_update_menus [exe] -
:a20a75028e491d9bfac5b055138dd7f99a866191 0x6fab9 nautilus_view_update_menus [exe] -
:a20a75028e491d9bfac5b055138dd7f99a866191 0x6fb12 update_menus_timeout_callback [exe] -
:3847a2d2cf720d84c4a9593e0136e6c2fd287310 0x487db g_timeout_dispatch libglib-2.0.so.0 -
:3847a2d2cf720d84c4a9593e0136e6c2fd287310 0x47c55 g_main_context_dispatch libglib-2.0.so.0 -
:3847a2d2cf720d84c4a9593e0136e6c2fd287310 0x47f88 g_main_context_iterate.isra.23 libglib-2.0.so.0 -
:3847a2d2cf720d84c4a9593e0136e6c2fd287310 0x48044 g_main_context_iteration libglib-2.0.so.0 -
:dcab2b52813b40b21da82dabce71b9ffb7d98327 0xa177c g_application_run libgio-2.0.so.0 -
:a20a75028e491d9bfac5b055138dd7f99a866191 0x2ab9b main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=stef-rawhide.thewalter.lan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:LOGIN_SITE=/data/projects/login-provider/site
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/1000/keyring-Qbspyz
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=stef
:MEM_SITE=/data/projects/members/site
:MAILER_SITE=/data/projects/login-mailer/site
:MAIL=/var/spool/mail/stef
:PATH=/data/bin:/data/.local/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/data/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:'SSSD_ARGS=../configure --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu --target=x86_64-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --enable-nsslibdir=/lib64 --enable-pammoddir=/lib64/security --with-krb5-rcache-dir=/var/cache/krb5rcache --with-initscript=systemd --with-test-dir=/dev/shm --with-log-path=/dev/shm --enable-all-experimental-features --with-default-ccache-dir=/run/user/%U --with-default-ccname-template=DIR:%d/ccdir --cache-file=/tmp/fedconfig.cache'
:PWD=/data
:JAVA_HOME=/opt/jdk_1.4.2/
:XMODIFIERS=@im=none
:EDITOR=vi
:GNOME_KEYRING_PID=1514
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/data
:SHLVL=1
:LOGNAME=stef
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-TaRwMOlcdO,guid=1369d4d38955753fcd01aea0501bc870
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:UDB_CONFFILE=/data/projects/udb-test/unit-test/udb.conf
:XDG_RUNTIME_DIR=/run/user/1000
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-stef-A8Wt9c/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1518,unix/unix:/tmp/.ICE-unix/1518
:SSH_AUTH_SOCK=/run/user/1000/keyring-Qbspyz/ssh
:GPG_AGENT_INFO=/run/user/1000/keyring-Qbspyz/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/nautilus.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=25259
:DESKTOP_STARTUP_ID=gnome-shell-1929-stef-rawhide.thewalter.lan-nautilus-5_TIME1236247

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63724                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63724                63724                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0102002
:2:/dev/null
:pos:	0
:flags:	0102002
:3:socket:[330554]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[330556]
:pos:	0
:flags:	02004002
:7:socket:[330559]
:pos:	0
:flags:	02004002
:8:socket:[330560]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000
:13:/proc/25259/mounts
:pos:	0
:flags:	0100000
:14:/data/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:15:/data/.local/share/gvfs-metadata/home-670382e7.log
:pos:	0
:flags:	0100000
:16:socket:[330614]
:pos:	0
:flags:	02004002
:17:socket:[333238]
:pos:	0
:flags:	02
:18:socket:[333239]
:pos:	0
:flags:	02004002
:19:socket:[331358]
:pos:	0
:flags:	02
:20:socket:[331359]
:pos:	0
:flags:	02004002
:21:socket:[331367]
:pos:	0
:flags:	02
:22:socket:[331368]
:pos:	0
:flags:	02004002
:23:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:24:/proc/25259/mountinfo
:pos:	0
:flags:	0100000
:25:socket:[332137]
:pos:	0
:flags:	02004002
:26:/data/.local/share/gvfs-metadata/uuid-26DB-0CD8 (deleted)
:pos:	0
:flags:	0100000
:27:/data/.local/share/gvfs-metadata/uuid-26DB-0CD8-8da37ae4.log (deleted)
:pos:	0
:flags:	0100000
:28:socket:[1678165]
:pos:	0
:flags:	02
:29:socket:[1678166]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug  2 10:59:13 stef-rawhide yum[15600]: Updated: nautilus-extensions-3.5.4-3.fc18.x86_64
:Aug  2 10:59:16 stef-rawhide yum[15600]: Updated: nautilus-3.5.4-3.fc18.x86_64
:Aug  2 11:01:17 stef-rawhide yum[15600]: Updated: nautilus-devel-3.5.4-3.fc18.x86_64
:Aug  2 11:01:29 stef-rawhide yum[15600]: Updated: evince-nautilus-3.5.4-2.fc18.x86_64
:Aug  2 11:01:29 stef-rawhide yum[15600]: Updated: brasero-nautilus-3.4.1-2.fc18.x86_64
:Aug  2 11:01:30 stef-rawhide yum[15600]: Updated: file-roller-nautilus-3.5.3-2.fc18.x86_64
:Aug  2 11:01:30 stef-rawhide yum[15600]: Updated: 1:totem-nautilus-3.4.3-3.fc18.x86_64
:Aug  3 15:46:53 stef-rawhide kernel: [ 3613.317342] nautilus[25259]: segfault at 18 ip 000000391aade320 sp 00007fff2dcf3858 error 4 in libgtk-3.so.0.508.0[391a800000+4cd000]
:Aug  3 15:46:54 stef-rawhide abrt[26164]: Saved core dump of pid 25259 (/usr/bin/nautilus) to /var/spool/abrt/ccpp-2012-08-03-15:46:53-25259 (74862592 bytes)
Comment 1 Stef Walter 2012-08-03 10:02:19 EDT
Created attachment 602138 [details]
File: backtrace
Comment 2 Stef Walter 2012-08-03 10:02:25 EDT
Created attachment 602139 [details]
File: maps
Comment 3 Stef Walter 2012-08-03 10:02:28 EDT
Created attachment 602140 [details]
File: dso_list
Comment 4 Stef Walter 2012-08-03 10:02:30 EDT
Created attachment 602141 [details]
File: build_ids
Comment 5 Cosimo Cecchi 2012-10-18 15:39:53 EDT
I believe this has been fixed in the 3.6 development cycle already.
Please reopen if you can reproduce the crash with 3.6 or newer.

Note You need to log in before you can comment on or make changes to this bug.